Bug 184299 - Sync 2dcontext, FileAPI, IndexedDB, background-fetch, credential-management, custom-elements, dom, encoding, and fetch web-platform-tests to 94b33b573a069ae5170104ca581a354a35762536
Summary: Sync 2dcontext, FileAPI, IndexedDB, background-fetch, credential-management, ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-04-04 06:21 PDT by Brendan McLoughlin
Modified: 2018-04-06 08:55 PDT (History)
8 users (show)

See Also:


Attachments
Patch (237.39 KB, patch)
2018-04-04 06:23 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Patch (237.15 KB, patch)
2018-04-04 06:37 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Patch (237.07 KB, patch)
2018-04-04 07:23 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Patch (233.65 KB, patch)
2018-04-04 09:43 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.62 MB, application/zip)
2018-04-04 10:36 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-sierra (3.31 MB, application/zip)
2018-04-04 11:06 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-sierra-wk2 (2.85 MB, application/zip)
2018-04-04 12:25 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (1.43 MB, application/zip)
2018-04-04 13:00 PDT, Build Bot
no flags Details
Patch (233.86 KB, patch)
2018-04-04 13:37 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-sierra (2.22 MB, application/zip)
2018-04-04 14:41 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.42 MB, application/zip)
2018-04-04 15:07 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-sierra (3.34 MB, application/zip)
2018-04-04 15:18 PDT, Build Bot
no flags Details
Patch (233.42 KB, patch)
2018-04-05 11:00 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-sierra (2.21 MB, application/zip)
2018-04-05 12:04 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-sierra-wk2 (3.27 MB, application/zip)
2018-04-05 12:29 PDT, Build Bot
no flags Details
Patch (234.44 KB, patch)
2018-04-05 12:46 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.21 MB, application/zip)
2018-04-05 13:51 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-sierra-wk2 (3.42 MB, application/zip)
2018-04-05 14:04 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.19 MB, application/zip)
2018-04-05 14:18 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-sierra (2.93 MB, application/zip)
2018-04-05 14:24 PDT, Build Bot
no flags Details
Patch (238.85 KB, patch)
2018-04-05 14:30 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brendan McLoughlin 2018-04-04 06:21:31 PDT
Sync 2dcontext, FileAPI, IndexedDB, background-fetch, credential-management, custom-elements, dom, encoding, and fetch web-platform-tests to 94b33b573a069ae5170104ca581a354a35762536
Comment 1 Brendan McLoughlin 2018-04-04 06:23:17 PDT
Created attachment 337159 [details]
Patch
Comment 2 Brendan McLoughlin 2018-04-04 06:37:42 PDT
Created attachment 337161 [details]
Patch
Comment 3 Brendan McLoughlin 2018-04-04 07:23:04 PDT
Created attachment 337165 [details]
Patch
Comment 4 Brendan McLoughlin 2018-04-04 09:43:21 PDT
Created attachment 337181 [details]
Patch
Comment 5 Build Bot 2018-04-04 10:36:51 PDT
Comment on attachment 337181 [details]
Patch

Attachment 337181 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7205562

New failing tests:
imported/w3c/web-platform-tests/FileAPI/url/url-lifetime.html
imported/w3c/web-platform-tests/fetch/nosniff/stylesheet.html
imported/w3c/web-platform-tests/fetch/api/response/response-init-002.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-mode-worker.html
imported/w3c/web-platform-tests/FileAPI/url/url-format.any.worker.html
imported/w3c/web-platform-tests/custom-elements/parser/parser-uses-registry-of-owner-document.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-star.any.html
imported/w3c/web-platform-tests/custom-elements/Document-createElement.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-mode.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-method-worker.html
imported/w3c/web-platform-tests/FileAPI/url/cross-global-revoke.sub.html
imported/w3c/web-platform-tests/fetch/nosniff/script.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-method.html
imported/w3c/web-platform-tests/FileAPI/url/sandboxed-iframe.html
imported/w3c/web-platform-tests/fetch/api/request/request-keepalive-quota.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.worker.html
imported/w3c/web-platform-tests/fetch/api/request/request-keepalive.html
imported/w3c/web-platform-tests/FileAPI/url/unicode-origin.sub.html
imported/w3c/web-platform-tests/fetch/http-cache/vary.html
imported/w3c/web-platform-tests/custom-elements/attribute-changed-callback.html
imported/w3c/web-platform-tests/custom-elements/upgrading/Node-cloneNode.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-star.any.worker.html
imported/w3c/web-platform-tests/FileAPI/url/url-format.any.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-xhr.any.html
imported/w3c/web-platform-tests/fetch/nosniff/worker.html
imported/w3c/web-platform-tests/FileAPI/blob/Blob-constructor.html
imported/w3c/web-platform-tests/FileAPI/file/File-constructor.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-xhr.any.worker.html
Comment 6 Build Bot 2018-04-04 10:36:53 PDT
Created attachment 337186 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 7 Build Bot 2018-04-04 11:06:28 PDT
Comment on attachment 337181 [details]
Patch

Attachment 337181 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7205810

New failing tests:
imported/w3c/web-platform-tests/FileAPI/url/url-lifetime.html
imported/w3c/web-platform-tests/fetch/nosniff/stylesheet.html
imported/w3c/web-platform-tests/fetch/api/response/response-init-002.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-mode-worker.html
imported/w3c/web-platform-tests/FileAPI/url/url-format.any.worker.html
imported/w3c/web-platform-tests/custom-elements/parser/parser-uses-registry-of-owner-document.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-star.any.html
imported/w3c/web-platform-tests/custom-elements/Document-createElement.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-mode.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-method-worker.html
imported/w3c/web-platform-tests/FileAPI/url/cross-global-revoke.sub.html
imported/w3c/web-platform-tests/fetch/nosniff/script.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-method.html
imported/w3c/web-platform-tests/FileAPI/url/sandboxed-iframe.html
imported/w3c/web-platform-tests/fetch/api/request/request-keepalive-quota.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.worker.html
imported/w3c/web-platform-tests/fetch/api/request/request-keepalive.html
imported/w3c/web-platform-tests/FileAPI/url/unicode-origin.sub.html
imported/w3c/web-platform-tests/fetch/http-cache/vary.html
imported/w3c/web-platform-tests/custom-elements/attribute-changed-callback.html
imported/w3c/web-platform-tests/custom-elements/upgrading/Node-cloneNode.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-star.any.worker.html
imported/w3c/web-platform-tests/FileAPI/url/url-format.any.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-xhr.any.html
imported/w3c/web-platform-tests/fetch/nosniff/worker.html
imported/w3c/web-platform-tests/FileAPI/blob/Blob-constructor.html
imported/w3c/web-platform-tests/FileAPI/file/File-constructor.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-xhr.any.worker.html
Comment 8 Build Bot 2018-04-04 11:06:29 PDT
Created attachment 337193 [details]
Archive of layout-test-results from ews112 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 9 Build Bot 2018-04-04 12:25:32 PDT
Comment on attachment 337181 [details]
Patch

Attachment 337181 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7206815

New failing tests:
imported/w3c/web-platform-tests/FileAPI/url/url-lifetime.html
imported/w3c/web-platform-tests/fetch/nosniff/stylesheet.html
imported/w3c/web-platform-tests/fetch/api/response/response-init-002.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-mode-worker.html
imported/w3c/web-platform-tests/FileAPI/url/url-format.any.worker.html
imported/w3c/web-platform-tests/custom-elements/parser/parser-uses-registry-of-owner-document.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-star.any.html
imported/w3c/web-platform-tests/custom-elements/Document-createElement.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-mode.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-method-worker.html
imported/w3c/web-platform-tests/FileAPI/url/cross-global-revoke.sub.html
imported/w3c/web-platform-tests/fetch/nosniff/script.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-method.html
imported/w3c/web-platform-tests/FileAPI/url/sandboxed-iframe.html
imported/w3c/web-platform-tests/fetch/api/request/request-keepalive-quota.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.worker.html
imported/w3c/web-platform-tests/fetch/api/request/request-keepalive.html
imported/w3c/web-platform-tests/FileAPI/url/unicode-origin.sub.html
imported/w3c/web-platform-tests/fetch/http-cache/vary.html
imported/w3c/web-platform-tests/custom-elements/attribute-changed-callback.html
imported/w3c/web-platform-tests/custom-elements/upgrading/Node-cloneNode.html
imported/w3c/web-platform-tests/fetch/api/cors/cors-preflight-star.any.worker.html
imported/w3c/web-platform-tests/FileAPI/url/url-format.any.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-xhr.any.html
imported/w3c/web-platform-tests/fetch/nosniff/worker.html
imported/w3c/web-platform-tests/FileAPI/blob/Blob-constructor.html
imported/w3c/web-platform-tests/FileAPI/file/File-constructor.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-xhr.any.worker.html
Comment 10 Build Bot 2018-04-04 12:25:33 PDT
Created attachment 337204 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 11 Build Bot 2018-04-04 13:00:02 PDT
Comment on attachment 337181 [details]
Patch

Attachment 337181 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7206922

Number of test failures exceeded the failure limit.
Comment 12 Build Bot 2018-04-04 13:00:03 PDT
Created attachment 337212 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 13 Brendan McLoughlin 2018-04-04 13:37:33 PDT
Created attachment 337217 [details]
Patch
Comment 14 Build Bot 2018-04-04 14:41:55 PDT
Comment on attachment 337217 [details]
Patch

Attachment 337217 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7208365

New failing tests:
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.html
imported/w3c/web-platform-tests/FileAPI/url/sandboxed-iframe.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.worker.html
Comment 15 Build Bot 2018-04-04 14:41:57 PDT
Created attachment 337228 [details]
Archive of layout-test-results from ews101 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 16 Build Bot 2018-04-04 15:07:35 PDT
Comment on attachment 337217 [details]
Patch

Attachment 337217 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7208402

New failing tests:
imported/w3c/web-platform-tests/2dcontext/transformations/canvas_transformations_reset_001.html
Comment 17 Build Bot 2018-04-04 15:07:36 PDT
Created attachment 337230 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 18 Build Bot 2018-04-04 15:18:30 PDT
Comment on attachment 337217 [details]
Patch

Attachment 337217 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7208481

New failing tests:
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-method-worker.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-method.html
imported/w3c/web-platform-tests/FileAPI/url/sandboxed-iframe.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.worker.html
Comment 19 Build Bot 2018-04-04 15:18:32 PDT
Created attachment 337232 [details]
Archive of layout-test-results from ews112 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 20 Brendan McLoughlin 2018-04-05 11:00:05 PDT
Created attachment 337278 [details]
Patch
Comment 21 Build Bot 2018-04-05 12:04:40 PDT
Comment on attachment 337278 [details]
Patch

Attachment 337278 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7217392

New failing tests:
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.html
imported/w3c/web-platform-tests/FileAPI/url/sandboxed-iframe.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.worker.html
Comment 22 Build Bot 2018-04-05 12:04:41 PDT
Created attachment 337286 [details]
Archive of layout-test-results from ews102 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 23 Build Bot 2018-04-05 12:29:43 PDT
Comment on attachment 337278 [details]
Patch

Attachment 337278 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7217674

New failing tests:
imported/w3c/web-platform-tests/FileAPI/url/sandboxed-iframe.html
Comment 24 Build Bot 2018-04-05 12:29:45 PDT
Created attachment 337289 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 25 Brendan McLoughlin 2018-04-05 12:46:09 PDT
Created attachment 337290 [details]
Patch
Comment 26 Build Bot 2018-04-05 13:51:37 PDT
Comment on attachment 337290 [details]
Patch

Attachment 337290 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7218355

New failing tests:
imported/w3c/web-platform-tests/FileAPI/url/sandboxed-iframe.html
Comment 27 Build Bot 2018-04-05 13:51:39 PDT
Created attachment 337294 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 28 Build Bot 2018-04-05 14:04:08 PDT
Comment on attachment 337290 [details]
Patch

Attachment 337290 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7218383

New failing tests:
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.worker.html
Comment 29 Build Bot 2018-04-05 14:04:09 PDT
Created attachment 337295 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 30 Build Bot 2018-04-05 14:18:49 PDT
Comment on attachment 337290 [details]
Patch

Attachment 337290 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7218364

New failing tests:
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.html
imported/w3c/web-platform-tests/FileAPI/url/sandboxed-iframe.html
imported/w3c/web-platform-tests/FileAPI/url/url-with-fetch.any.worker.html
Comment 31 Build Bot 2018-04-05 14:18:50 PDT
Created attachment 337297 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 32 Build Bot 2018-04-05 14:24:16 PDT
Comment on attachment 337290 [details]
Patch

Attachment 337290 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7218420

New failing tests:
imported/w3c/web-platform-tests/FileAPI/url/sandboxed-iframe.html
Comment 33 Build Bot 2018-04-05 14:24:17 PDT
Created attachment 337298 [details]
Archive of layout-test-results from ews112 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 34 Brendan McLoughlin 2018-04-05 14:30:46 PDT
Created attachment 337300 [details]
Patch
Comment 35 youenn fablet 2018-04-06 08:24:52 PDT
Comment on attachment 337300 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=337300&action=review

> LayoutTests/platform/mac/TestExpectations:1742
> +[ Debug ] imported/w3c/web-platform-tests/fetch/api/redirect/redirect-method.html [ Crash ]

Interesting, can you file a bugzilla for these?
If that happens often, we should just skip them.
Comment 36 WebKit Commit Bot 2018-04-06 08:53:22 PDT
Comment on attachment 337300 [details]
Patch

Clearing flags on attachment: 337300

Committed r230330: <https://trac.webkit.org/changeset/230330>
Comment 37 WebKit Commit Bot 2018-04-06 08:53:24 PDT
All reviewed patches have been landed.  Closing bug.
Comment 38 Radar WebKit Bug Importer 2018-04-06 08:55:16 PDT
<rdar://problem/39239174>